
package collecties;

import java.util.HashSet;
import java.util.Random;
import java.util.Set;
import java.util.TreeSet;

/**
 *
 * @author tiwi
 */
public class Generator {

    private int ondergrens;
    private int bovengrens;

    public Generator(int onder, int boven) {
        ondergrens = onder;
        bovengrens = boven;
    }

    public Set<Integer> geefVerschillendeGetallen(int aantal) {
        if (aantal > (bovengrens - ondergrens+1 )) {
            return null;
        } else {
            Set<Integer> set = new HashSet<>();
            Random r = new Random();
            while (set.size() < aantal) {
                set.add(r.nextInt(bovengrens - ondergrens + 1) + ondergrens);
            }
            
            return set;
        }
    }
}
